Bug 252718 - mail/mimedefang: update to 2.84
Summary: mail/mimedefang: update to 2.84
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rainer Hurling
URL: https://www.mimedefang.org/node/71
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-01-15 20:54 UTC by m.tsatsenko
Modified: 2021-01-19 10:10 UTC (History)
1 user (show)

See Also:


Attachments
patch (881 bytes, text/plain)
2021-01-15 20:54 UTC, m.tsatsenko
m.tsatsenko: maintainer-approval-
Details
patch using install targets for docs and examples; ordered Makefile vars (4.31 KB, patch)
2021-01-16 16:09 UTC, Rainer Hurling
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description m.tsatsenko 2021-01-15 20:54:34 UTC
Created attachment 221605 [details]
patch

- Update to 2.84


QA:
poudrierre 122amd64 with default options - OK
portlint - no errros
Comment 1 Automation User 2021-01-15 21:17:28 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/242410594
Comment 2 Rainer Hurling freebsd_committer 2021-01-16 16:09:31 UTC
Created attachment 221634 [details]
patch using install targets for docs and examples; ordered Makefile vars

Hi Mikhail,

I suggest to change your 'if ${PORT_OPTIONS ...' into more modern post-install targets, see attached patched.

Other changes I did in the patch:

- Reorder some Makefile vars, like suggested by 'portclippy Makefile' (from ports-mgmt/portfmt)
- Using secured URL in pkg-descr
- Reorder pkg-plist entries


If you agree, I will commit this patch ;)
Comment 3 m.tsatsenko 2021-01-18 22:40:11 UTC
Comment on attachment 221634 [details]
patch using install targets for docs and examples; ordered Makefile vars

Looks fine.
Thanks for your work!
Comment 4 commit-hook freebsd_committer 2021-01-19 10:09:51 UTC
A commit references this bug:

Author: rhurlin
Date: Tue Jan 19 10:09:00 UTC 2021
New revision: 562041
URL: https://svnweb.freebsd.org/changeset/ports/562041

Log:
  mail/mimedefang: Update to 2.84

  Changelog: https://www.mimedefang.org/node/71

  PR:		252718
  Submitted by:	Mikhail Tsatsenko <m.tsatsenko@gmail.com> (maintainer)
  Approved by:	arrowd (mentor)
  Differential Revision:	https://reviews.freebsd.org/D28230

Changes:
  head/mail/mimedefang/Makefile
  head/mail/mimedefang/distinfo
  head/mail/mimedefang/pkg-descr
  head/mail/mimedefang/pkg-plist
Comment 5 Rainer Hurling freebsd_committer 2021-01-19 10:10:53 UTC
Committed, thanks :)